package cn.com.ctop.crawler.modules.pangolin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 穿山甲实时数据
 */
@Data
@TableName("ctop_pangolin_report_app_hour")
public class PangolinReportAppHour {
    /**
     * 日期
     */
    private Date date;
    /**
     * 时间
     */
    private Integer hour;
    /**
     * appId
     */
    private Long appId;
    /**
     * 类型
     */
    private String type;
    /**
     * 数字
     */
    private BigDecimal num;
}
