package cn.com.ctop.kuaishou.modules.batch.service.impl;

import cn.com.ctop.kuaishou.modules.batch.mapper.MaterialRefuseMapper;
import cn.com.ctop.kuaishou.modules.batch.service.IMaterialRefuseService;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author yumeng
 * 2019年11月12日10:04:00
 */
@Slf4j
@Service
public class MaterialRefuseServiceImpl implements IMaterialRefuseService {
    @Autowired
    private MaterialRefuseMapper materialRefuseMapper;


    @Override
    public List<JSONObject> getRefuseCreative(Long accountId) {
        List<JSONObject> refuseCreativeList = materialRefuseMapper.selectRefuseCreativeByAccountId(accountId);
        return refuseCreativeList;
    }

}
