package cn.com.ctop.toutiao.modules.material.service;

import cn.com.ctop.toutiao.modules.material.entity.ByteDanceAdvertisePlan;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 今日头条广告计划信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface IByteDanceAdvertisePlanService extends IService<ByteDanceAdvertisePlan> {

    /**
     *  查询需要预警的广告计划名称
     * @param accountId
     * @param maxBid
     * @return
     */
    List<String> selectWarningGroup(Long accountId, BigDecimal maxBid);

    /**
     * 查询需要预警的深度转化出价
     * @param accountId
     * @param maxCapBid
     * @return
     */
    List<String> selectWarningCpaBid(Long accountId, BigDecimal maxCapBid);
}
