package cn.com.ctop.toutiao.modules.report.mapper;

import cn.com.ctop.toutiao.modules.report.entity.BytedanceReportMaterialDaily;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceReportMaterialRetry;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 素材报表
 * @author: jeecg-boot
 * @date:   2020-04-16
 * @cersion: V1.0
 */
public interface BytedanceReportMaterialDailyMapper extends BaseMapper<BytedanceReportMaterialDaily> {

    void replaceIntoBatch(@Param("infos") List<BytedanceReportMaterialDaily> infos);

    void replaceMaterialRetry(@Param("retry") BytedanceReportMaterialRetry retry);

    List<BytedanceReportMaterialRetry> getRetryList();

    void updateRetry(@Param("retry") BytedanceReportMaterialRetry retry);
}
