package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.toutiao.modules.report.entity.ByteDanceVideoReportDaily;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;
import java.util.List;

/**
 * 视频按时间段统计
 * @author jeecg-boot
 * @date   2020-05-13
 * @version V1.0
 */
public interface IByteDanceVideoReportDailyService extends IService<ByteDanceVideoReportDaily> {

    void videoInfoList(String startDate, String endDate);

    List<ByteDanceVideoReportDaily> videoInfoListWeek(String startDate, String endDate, String signature, BigDecimal cost);

    List<ByteDanceVideoReportDaily> videoInfoListTotal(String startDate, String endDate, String signature, BigDecimal cost);

    List<ByteDanceVideoReportDaily> videoInfoListMonth(String startDate, String endDate, String signature, BigDecimal cost);

    List<ByteDanceVideoReportDaily> videoInfoListDetail(String startDate, String endDate, String signature);

    String getColumnJson(Integer columnType);

    void saveOrUpdateColumnJson(Integer columnType, String json);

    //excel导出权限
    int videoInfoListTotalExportExcelPermission();

    List<ByteDanceVideoReportDaily> videoInfoListDaily(String startDate, String endDate, String signature, BigDecimal cost);

}
