package org.jeecg.modules.ctop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.ctop.entity.Project;
import org.jeecg.modules.ctop.entity.ProjectMember;
import org.jeecg.modules.system.entity.SysUser;

import java.util.List;

/**
 * 项目成员
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-11-19
 */
public interface IProjectMemberService extends IService<ProjectMember> {
    void addMember(SysUser sysUser, Project project);


    List<Long> selectProjectsByUserId(String userId);
}
