package org.jeecg.modules.ctop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.ctop.entity.DramaRoleInfo;
import org.jeecg.modules.ctop.mapper.DramaRoleInfoMapper;
import org.jeecg.modules.ctop.service.IDramaRoleInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 剧本角色信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-05
 */
@Service
public class DramaRoleInfoServiceImpl extends ServiceImpl<DramaRoleInfoMapper, DramaRoleInfo> implements IDramaRoleInfoService {

    @Override
    public List<DramaRoleInfo> getByDramaId(Long dramaId) {
        QueryWrapper<DramaRoleInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("drama_id", dramaId);
        return this.list(queryWrapper);
    }
}
