//package org.jeecg;
//
//import org.junit.AfterClass;
//import org.junit.BeforeClass;
//import org.junit.Test;
//import org.junit.runner.RunWith;
//import org.openqa.selenium.chrome.ChromeDriver;
//import org.springframework.boot.test.context.SpringBootTest;
//import org.springframework.test.context.junit4.SpringRunner;
//
//import java.util.concurrent.TimeUnit;
//
//@RunWith(SpringRunner.class)
//@SpringBootTest
//public class ChromeTest {
//    private static ChromeDriver browser;
//
//    @BeforeClass
//    public static void openBrowser() {
//        System.setProperty("webdriver.chrome.driver","D:/chromedriver.exe");
//        browser = new ChromeDriver();
//        browser.manage().timeouts()
//                .implicitlyWait(10, TimeUnit.SECONDS);
//    }
//
//    @AfterClass
//    public static void closeBrowser() {
//        browser.quit();
//    }
//
//    @Test
//    public void addBookToEmptyList() throws InterruptedException {
//        // 要测试的网址
//        String baseUrl = "http://localhost:" + 3000 + "/TEST" ;
//        browser.get(baseUrl);
//        // 对网页表单元素进行赋值操作并提交表单
//        assertEquals("You have no books in your book list",
//                browser.findElementByTagName("div").getText());
//        browser.findElementByName("title")
//                .sendKeys("BOOK TITLE");
//        browser.findElementByName("author")
//                .sendKeys("BOOK AUTHOR");
//        browser.findElementByName("isbn")
//                .sendKeys("1234567890");
//        browser.findElementByName("description")
//                .sendKeys("DESCRIPTION");
//        browser.findElementByTagName("form")
//                .submit();
//        // 测试运行结果是否符合预期
//        WebElement dl =
//                browser.findElementByCssSelector("dt.bookHeadline");
//        assertEquals("BOOK TITLE by BOOK AUTHOR (ISBN: 1234567890)",
//                dl.getText());
//        WebElement dt =
//                browser.findElementByCssSelector("dd.bookDescription");
//        assertEquals("DESCRIPTION", dt.getText());
//    }
//}
