package cn.com.ctop.common.module.mapper;


import cn.com.ctop.common.module.entity.SysRole;
import cn.com.ctop.common.module.vo.UserDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;

import java.util.List;

/**
 * <p>
 * 角色表 Mapper 接口
 * </p>
 *
 * @Author scott
 * @since 2018-12-19
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {
    /**
     * 根据roleCode获取相对应的用户信息
     */


    String getRoleIdByRoleCode(@Param("roleCode") String roleCode);

    String getRoleCodeByUserId(@Param("userId") String userId);

}
