package cn.com.ctop.crawler.modules.oceanengine.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import java.util.Date;

@Data
@TableName("ctop_oceanengine_effect_case")
/**
 * 效果案例
 */
public class EffectCase {
    @TableId(value = "id", type = IdType.INPUT)
    private String id;
    private String vid;
    @JsonProperty("creative_label_1")
    @TableField(value = "creative_label_1")
    private String creativeLabel1;
    @JsonProperty("creative_label_2")
    @TableField(value = "creative_label_2")
    private Integer creativeLabel2;
    @JsonProperty("create_date")
    private String createDate;
    @JsonProperty("creative_id")
    private Long creativeId;
    private String methods;
    @JsonProperty("video_url")
    private String videoUrl;
    private String author;
    private String effect;
    @JsonProperty("conversion_type")
    private String conversionType;
    private String coverImage;
    private String creativeLabel;
    private String tag;
    @JsonProperty("creative_title")
    private String creativeTitle;
    @JsonProperty("creative_info")
    private String creativeInfo;
    @JsonProperty("creative_score")
    private String creativeScore;
    @JsonProperty("industry_tag")
    private String industryTag;
    private Date createTime;
    private Date updateTime;
}
