package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.kuaishou.modules.report.entity.KuaiShouCleanMaterialReport;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 快手素材清洗数据
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-02-24
 */
public interface IKuaiShouCleanMaterialReportService extends IService<KuaiShouCleanMaterialReport> {
    /**
     * 快手 唯一素材MD5标识
     *
     * @return
     */
    List<String> getSignature();

    /**
     * 计算快手素材报表
     *
     * @param signature
     */
    void calculationReport(String signature);
}
