package cn.com.ctop.huananvideoreport.mapper;

import java.util.List;

import cn.com.ctop.huananvideoreport.dto.HuananVideoReportDTO;
import org.apache.ibatis.annotations.Param;
import cn.com.ctop.huananvideoreport.entity.HuananVideoReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 华南视频报表类
 *
 * @author: jeecg-boot
 * @date: 2020-04-28
 * @cersion: V1.0
 */
public interface HuananVideoReportMapper extends BaseMapper<HuananVideoReport> {

    List<HuananVideoReport> getHuananMaterialInfo(@Param("startDate") String startDate, @Param("endDate") String endDate);

    HuananVideoReport selectByDateAndId(@Param("materialId") Long materialId, @Param("statDate") String statDate);

    HuananVideoReportDTO getAccountConcatInfo(@Param("materialId") Long materialId);
}
